
package de.ivu.elect.exchange.gebietsbaum.csv;

import org.jsefa.csv.annotation.CsvDataType;
import org.jsefa.csv.annotation.CsvField;

import de.ivu.elect.exchange.BaseDTO;
import de.ivu.jsefa.CsvHeader;

/**
 * DTO für eine Zuordnung eines Gebiets zu einer Gebietsgruppierung
 */
@CsvDataType
public class DefaultGebietsgruppierungCsvDTO extends BaseDTO {

  @CsvField(pos = 1, required = true)
  @CsvHeader("Gebietsgruppierungname")
  private String gebietsgruppierungName;

  @CsvField(pos = 2, required = true)
  @CsvHeader("Gebietsgruppierungart")
  private String gebietsgruppierungArt;

  @CsvField(pos = 3)
  @CsvHeader("Position")
  private Long position;

  @CsvField(pos = 4)
  @CsvHeader("Gebietsart")
  private String gebietsartName;

  @CsvField(pos = 5)
  @CsvHeader("Nummer des Gebietes")
  private String gebietNummer;

  @CsvField(pos = 6)
  @CsvHeader("Gebietsgruppierungnummer")
  private String gebietsgruppierungNummer;

  @CsvField(pos = 7/*ELECTBB-593*/)
  @CsvHeader("Verwaltungsart")
  private String verwaltungsart;

  public DefaultGebietsgruppierungCsvDTO() {
  }

  public DefaultGebietsgruppierungCsvDTO(String gebietsgruppierungName, String gebietsgruppierungArt, Long position,
                                         String gebietsartName, String gebietNummer, String gebietsgruppierungNummer, String verwaltungsart) {
    this.gebietsgruppierungName = gebietsgruppierungName;
    this.gebietsgruppierungArt = gebietsgruppierungArt;
    this.position = position;
    this.gebietsartName = gebietsartName;
    this.gebietNummer = gebietNummer;
    this.gebietsgruppierungNummer = gebietsgruppierungNummer;
    this.verwaltungsart = verwaltungsart;
  }

  public String getGebietsgruppierungName() {
    return gebietsgruppierungName;
  }

  public void setGebietsgruppierungName(String gebietsgruppierungName) {
    this.gebietsgruppierungName = gebietsgruppierungName;
  }

  public String getGebietsgruppierungArt() {
    return gebietsgruppierungArt;
  }

  public void setGebietsgruppierungArt(String gebietsgruppierungArt) {
    this.gebietsgruppierungArt = gebietsgruppierungArt;
  }

  public Long getPosition() {
    return position;
  }

  public void setPosition(Long position) {
    this.position = position;
  }

  public String getGebietsartName() {
    return gebietsartName;
  }

  public void setGebietsartName(String gebietsartName) {
    this.gebietsartName = gebietsartName;
  }

  public String getGebietNummer() {
    return gebietNummer;
  }

  public void setGebietNummer(String gebietNummer) {
    this.gebietNummer = gebietNummer;
  }

  public String getGebietsgruppierungNummer() {
    return gebietsgruppierungNummer;
  }

  public void setGebietsgruppierungNummer(String gebietsgruppierungNummer) {
    this.gebietsgruppierungNummer = gebietsgruppierungNummer;
  }

  public String getVerwaltungsart() {
    return verwaltungsart;
  }

  public void setVerwaltungsart(String verwaltungsart) {
    this.verwaltungsart = verwaltungsart;
  }
}
